function love.load()
	require("frames")
	local class = require "class"
	require("LUBE")
	
	client_ip = "None"
	
	srv_port = 0
	srv_state = false
	
	-- IP INPUT
	local ip_input = loveframes.Create("textinput")
	ip_input:SetPos(10, 50)
	ip_input:SetWidth(300)
	ip_input:SetLimit(15)
	
	-- PORT INPUT
	local port_input = loveframes.Create("textinput")
	port_input:SetPos(320, 50)
	port_input:SetWidth(75)
	port_input:SetLimit(6)
	
	-- CREATE SERVER BTN
	local btn_create = loveframes.Create("button")
	btn_create:SetSize(100, 24)
	btn_create:SetText("Create server")
	btn_create:SetPos(10, 75)
	btn_create.OnClick = function(obj)
		srv_port = tonumber(port_input:GetText())
		
		connection = lube.tcpServer()
		connection.handshake = "handshake"
		connection:setPing(true, 6, "ping\n")
		
		connection.callbacks.recv = function(d, id) recv(d, id) end
		connection.callbacks.connect = function(id) connect(id) end
		connection.callbacks.disconnect = function(id) disconnect(id) end
		
		connection:listen(srv_port)
		print("Server started on port: " .. tostring(srv_port))
		
		
		srv_state = true
	end
	
	-- JOIN SERVER BTN
	local btn_join = loveframes.Create("button")
	btn_join:SetSize(100, 24)
	btn_join:SetText("Join server")
	btn_join:SetPos(120, 75)
	btn_join.OnClick = function(obj)
		client_ip = ip_input:GetText()
		srv_port = tonumber(port_input:GetText())
		
		connection = lube.tcpClient()
		connection.handshake = "handshake"
		connection:setPing(true, 2, "ping\n")
		
		connection.callbacks.c_recv = function(d) c_recv(d) end
		
		if connection:connect(client_ip, srv_port, true) then
			print("Connect to " .. client_ip .. ": " .. srv_port)
		end
	end
	
end

function connect(clientId)
	print("Client connected: " .. tostring(clientId))
end
function disconnect(clientId)
	print("Client disconnected: " .. tostring(clientId))
end
function recv(data, clientId)
	print("Client data received from: " .. tostring(clientId) .. " containing: " .. data)
end

function c_recv(data)
	print("Server data received: " .. data)
end

function love.update(dt)
	loveframes.update(dt)
end

function love.draw()
	love.graphics.setColor(184, 211, 242, 255)	
	love.graphics.rectangle("fill", 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
	
	love.graphics.setColor(0,0,0,255)
	love.graphics.print("IP Address: ", 10, 30)
	love.graphics.print("Port: ", 320, 30)
	love.graphics.print("Server IP: " .. client_ip .. "\nServer port: " .. srv_port, 600, 10)
	
	love.graphics.setColor(255,255,255,255)
	loveframes.draw()
end

function love.mousepressed(x, y, button)
	loveframes.mousepressed(x, y, button)
end

function love.mousereleased(x, y, button)
	loveframes.mousereleased(x, y, button)
end

function love.keypressed(key, unicode)
	loveframes.keypressed(key, unicode)
end

function love.keyreleased(key)
	loveframes.keyreleased(key)
end